WPLounge
WordPress 5.5 Problemen
Home » WordPress Algemeen » Update naar WordPress 5.5 zorgt soms voor problemen

Update naar WordPress 5.5 zorgt soms voor problemen

Twee problemen met WordPress 5.5 hebben mogelijk invloed op duizenden websites. We bekijken de problemen en leggen uit hoe je ze kan oplossen.

Affiliate disclaimer:
In onze artikelen en op onze pagina's staan affiliate links. Wanneer je via één van deze links een aankoop doet, ontvangen wij een (meestal kleine) commissie van de verkoper. Wij geven altijd onze eerlijke mening over producten. Klik hier voor meer informatie.

jQuery Migrate

Met de update naar WordPress 5.5 wordt de migratietool jQuery Migrate niet langer standaard uitgevoerd. Dit kan problemen veroorzaken met sommige thema’s of plugins die verouderde code uitvoeren. Door de verandering om jQuery Migrate niet langer te ondersteunen heeft dit effect gehad op zeker 50.000 websites.  Er zijn ook veel websites die niet langer goed werken door de manier waarop verouderde thema’s met paginering omgaan. WordPress biedt ingebouwde functionaliteit om door berichten te navigeren. Thema-ontwikkelaars kunnen eenvoudige links of genummerde paginering gebruiken om de vorige pagina of de volgende pagina in een bepaalde volgorde aan te geven.

jQuery Migrate en WordPress 5.5

Duizenden WordPress websites ondervinden problemen omdat WordPress 5.5 wordt geleverd zonder een JavaScript-bibliotheek genaamd jQuery Migrate. jQuery Migrate is een bibliotheek die fungeert als een brug voor oudere code om te functioneren op WordPress. Wanneer je echter een ouder thema gebruikt, met name een thema dat niet langer wordt bijgewerkt, sluipen er uiteindelijk compatibiliteitsproblemen in en dat is wat er nu gebeurde met WordPress 5.5.

TIP VAN WPLOUNGE
Divi theme & Divi Builder
Bij Elegant Themes ontvang je meer dan
85 premium WordPress themes (waaronder Divi!) voor maar 89 dollar!
Bekijk de themes »»
Lees meer over Divi.

Problemen met het toevoegen van uitgelichte afbeeldingen

Een WordPress gebruiker had na het updaten naar WordPress 5.5 problemen met het toevoegen van uitgelichte afbeeldingen in de block editor. Ook in de classic editor ging het mis: alleen de HTML editor werkte nog, de visuele editor kon niet meer gebruikt worden. Het probleem was echter niet een fout van WordPress maar kwam door een verouderde plugin.

Verouderde thema’s

Een andere gebruiker had een probleem met een verouderd thema waardoor het drop-down menu en slider functies niet meer werkte.  De oorzaak was verouderde JavaScript code in het thema. Toch kon het probleem worden opgelost door de jQuery Migrate plugin te gebruiken.

jQuery Migrate bug repareren

Als het probleem te maken heeft met een plugin die oudere JavaScript-bestanden gebruikt, kijk dan wanneer de laatste keer is geweest dat de plugin is bijgewerkt. Als dat een jaar of langer geleden was, kan je overwegen om een andere plugin te zoeken die meer up-to-date is. Tevens hebben oudere plugins een beveiligingsrisico, het is beter om een alternatieve plugin te gebruiken die wel goed onderhouden is. Het goede nieuws is dat WordPress een plugin heeft uitgebracht die de jQuery Migrate JavaScript library herstelt en daarmee ook de volledige WordPress webstite kan repareren. Dus mocht er iets mis zijn met je website na de update naar WordPress 5.5 en ook de Chrome ontwikkelaarsconsole JavaScript fouten toont, kan het installeren van de plugin wellicht helpen.

jQuery Migrate Plugin
jQuery Migrate Plugin

WordPress 5.5 Paginering bug

Updaten naar WordPress 5.5 kan er ook voor zorgen dat de paginering niet goed meer werkt op sommige websites. Paginering maakt deel uit van de website navigatiestructuur. Heb probleem is dat er een conflict is in het woord ‘page’. WordPress gebruikt het voor paginering, maar alleen met een numeriek waarde. Sommige thema’s gebruiken ‘page’ met aanvullende niet-numerieke waarden waardoor er een conflict ontstaat.

Conclusie

WordPress 5.5 is een update met veel verbeteringen op het gebied van website snelheid, de block editor en website beveiliging. Er zijn wat problemen met verouderde plugins en thema’s. Gelukkig kunnen die vrij eenvoudig worden opgelost als de oorzaak is vastgesteld. Heb jij al WordPress 5.5 geïnstalleerd? En was dat zonder problemen? Laat het ons weten in de comments hieronder!

Beoordeel dit artikel

Roger Overdevest

Roger is eigenaar van de website WPLounge en van zoekmachine marketing bureau Kliq Internet

2 reacties

  • Beste Roger,

    Sinds de update lijk ik mijn verzendkosten(zones) in Woocommerce niet meer te kunnen instellen. Hierdoor krijg ik de melding bij iedere melding te zien: “Locaties worden niet gedekt door je overige zones”. Dit is in geen enkele mogelijkheid aan te passen. Weet jij toevallig of dat met de update te maken kan hebben en of daar iets tegen te doen is?

    Groetjes,
    laura

    Ps mijn website staat daardoor onder constructie

Advertenties

Vimexx-banner
wpml_banner

Scroll Up Skip to content